package model

import (
	"time"
)

type GroupComplain struct {
	Id           int64     `json:"id" xorm:"pk autoincr comment('自增主键') BIGINT(20)"`
	GroupId      int64     `json:"group_id" xorm:"not null comment('组id') BIGINT(20)"`
	UserId       int64     `json:"user_id" xorm:"not null comment('用户id') BIGINT(20)"`
	ComplainType int       `json:"complain_type" xorm:"not null default 1 comment('投诉类型(1:存在赌博行为 2:存在骗钱行为 3:不当信息骚扰 4:传播谣言 5:发布假冒商品信息 6:侵犯未成年人权益 7:其他)') TINYINT(1)"`
	Text         string    `json:"text" xorm:"not null default '' comment('投诉内容') VARCHAR(255)"`
	ImageList    string    `json:"image_list" xorm:"not null comment('图片内容') TEXT"`
	Status       int       `json:"status" xorm:"not null default 0 comment('状态') TINYINT(1)"`
	CreateTime   time.Time `json:"create_time" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') DATETIME"`
	UpdateTime   time.Time `json:"update_time" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') DATETIME"`
}
