package model

type UserEggEnergyAggregation struct {
	Id            int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid           int64  `json:"uid" xorm:"not null BIGINT(20)"`
	TodayData     string `json:"today_data" xorm:"not null comment('今日数量') DECIMAL(20,8)"`
	ThisWeekData  string `json:"this_week_data" xorm:"not null comment('本周数量') DECIMAL(20,8)"`
	ThisMonthData string `json:"this_month_data" xorm:"not null comment('本月数量') DECIMAL(20,8)"`
	Day           int    `json:"day" xorm:"not null default 0 comment('日期') INT(11)"`
	Week          int    `json:"week" xorm:"not null default 0 comment('周数') INT(11)"`
	Month         int    `json:"month" xorm:"not null default 0 comment('月数') INT(11)"`
	Year          int    `json:"year" xorm:"not null default 0 comment('年份') INT(11)"`
	CreateAt      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
